prototypes:
  standard:
    formElementsDefinition:
      SummaryPage:
        formEditor:
          editors:
            100:
              identifier: header
              templateName: Inspector-FormElementHeaderEditor
            200:
              identifier: label
              templateName: Inspector-TextEditor
              label: formEditor.elements.SummaryPage.editor.label.label
              propertyPath: label
            300:
              identifier: previousButtonLabel
              templateName: Inspector-TextEditor
              label: formEditor.elements.SummaryPage.editor.previousButtonLabel.label
              propertyPath: renderingOptions.previousButtonLabel
            400:
              identifier: nextButtonLabel
              templateName: Inspector-TextEditor
              label: formEditor.elements.SummaryPage.editor.nextButtonLabel.label
              propertyPath: renderingOptions.nextButtonLabel
            9999:
              identifier: removeButton
              templateName: Inspector-RemoveElementEditor
          predefinedDefaults:
            renderingOptions:
              previousButtonLabel: formEditor.elements.SummaryPage.editor.previousButtonLabel.value
              nextButtonLabel: formEditor.elements.SummaryPage.editor.nextButtonLabel.value
          label: formEditor.elements.SummaryPage.label
          group: page
          groupSorting: 200
          _isTopLevelFormElement: true
          _isCompositeFormElement: false
          iconIdentifier: form-summary-page
        implementationClassName: TYPO3\CMS\Form\Domain\Model\FormElements\Page
        renderingOptions:
          _isTopLevelFormElement: true
          _isCompositeFormElement: false
          nextButtonLabel: 'next Page'
          previousButtonLabel: 'previous Page'
        variants:
          -
            identifier: template-variant
            condition: 'getRootFormProperty("renderingOptions.templateVariant") == "version2"'
            renderingOptions:
              listClassAttribute: summary-list
              listRowClassAttribute: row
              labelWrapperClassAttribute: col
              valueWrapperClassAttribute: col
    formEditor:
      formEditorPartials:
        FormElement-SummaryPage: Stage/SummaryPage
